View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
15110Bug reportsOtherpublic2019-09-30 16:41
Reporterf_funke Assigned Top_teichmann  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version4.0.0-RC2 
Target Version4.0.0-RC4Fixed in Version4.0.0-RC4 
Summary15110: (short free) text: options "maximum number of characters" and "numbers only" not implemented
Description

With question type "short free text" the options

  • maximum number of characters (was in submenu "input")
  • numbers only (was in submenu "other")
    are not available any more. Would be great to see them back – or add an instruction in the menu how this can be done.

Maximum number if characters should be available again for all text questions.

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)4.0.0-RC2 (devdemo.limesurvey.org)
I will donate to the project if issue is resolvedNo
Browser
Database type & versionn/a
Server OS (if known)
Webserver software & version (if known)
PHP Versionn/a

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

cdorin

cdorin

2019-08-05 11:51

manager   ~53094

Hmm, that was my mistake - sorry. Patrick, could you please check that for RC3?

cdorin

cdorin

2019-08-05 11:59

manager   ~53096

Patrick, see:

Numbers only: Multiple short text+ short free text
Max characters: Short free text + long free text+huge free text + multiple short text (this one was wrong in the table, Patrick; the others seem to be there).

f_funke

f_funke

2019-08-18 11:31

developer   ~53188

Not implemented in RC3. Any news?

p_teichmann

p_teichmann

2019-08-19 10:49

administrator   ~53191

@f_funke i added the missing attributes again, they were marked as removed in my list

fixed in https://github.com/LimeSurvey/LimeSurvey/commit/adb46702752f6d0fcb94d777f9b15a27c003077d

lime_release_bot

lime_release_bot

2019-09-30 16:41

administrator   ~53773

Fixed in Release 4.0.0-RC4+190930

Issue History

Date Modified Username Field Change
2019-08-04 15:30 f_funke New Issue
2019-08-05 11:50 cdorin Assigned To => p_teichmann
2019-08-05 11:50 cdorin Status new => assigned
2019-08-05 11:51 cdorin Note Added: 53094
2019-08-05 11:59 cdorin Note Added: 53096
2019-08-18 11:31 f_funke Note Added: 53188
2019-08-19 10:49 p_teichmann Status assigned => resolved
2019-08-19 10:49 p_teichmann Resolution open => fixed
2019-08-19 10:49 p_teichmann Fixed in Version => 4.0.0-RC4
2019-08-19 10:49 p_teichmann Note Added: 53191
2019-09-24 11:30 c_schmitz Target Version => 4.0.0-RC4
2019-09-30 16:41 lime_release_bot Note Added: 53773
2019-09-30 16:41 lime_release_bot Status resolved => closed